{
  "formatVersion": 1,
  "database": {
    "version": 1,
    "identityHash": "ec7718f7c93df353ddf73a877a18b155",
    "entities": [
      {
        "tableName": "dogs",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`name` TEXT NOT NULL, `breed` TEXT NOT NULL, `gender` INTEGER NOT NULL, `weight` REAL NOT NULL, `aggressiveness` INTEGER NOT NULL, `owner` TEXT, `admissionDate` INTEGER, `id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL)",
        "fields": [
          {
            "fieldPath": "name",
            "columnName": "name",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "breed",
            "columnName": "breed",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "gender",
            "columnName": "gender",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "weight",
            "columnName": "weight",
            "affinity": "REAL",
            "notNull": true
          },
          {
            "fieldPath": "aggressiveness",
            "columnName": "aggressiveness",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "owner",
            "columnName": "owner",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "admissionDate",
            "columnName": "admissionDate",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "columnNames": [
            "id"
          ],
          "autoGenerate": true
        },
        "indices": [],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, 'ec7718f7c93df353ddf73a877a18b155')"
    ]
  }
}